# Uses of Interface
org.eclipse.birt.chart.model.attribute.Interactivity

Packages that use Interactivity
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of Interactivity in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Interactivity
Modifier and Type
Method
Description
`Interactivity`
Chart.`getInteractivity()`
Returns the value of the 'Interactivity' containment reference.
Methods in org.eclipse.birt.chart.model with parameters of type Interactivity
Modifier and Type
Method
Description
`void`
Chart.`setInteractivity(Interactivity value)`
Sets the value of the '`Interactivity`' containment reference.

## Uses of Interactivity in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Interactivity
Modifier and Type
Method
Description
`Interactivity`
Interactivity.`copyInstance()`
`Interactivity`
AttributeFactory.`createInteractivity()`
Returns a new object of class 'Interactivity'.

## Uses of Interactivity in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Interactivity
Modifier and Type
Class
Description
`class`
`InteractivityImpl`
An implementation of the model object 'Interactivity'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Interactivity
Modifier and Type
Method
Description
`Interactivity`
InteractivityImpl.`copyInstance()`
`static Interactivity`
InteractivityImpl.`create()`
`Interactivity`
AttributeFactoryImpl.`createInteractivity()`

## Uses of Interactivity in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Interactivity
Modifier and Type
Method
Description
`Interactivity`
ChartImpl.`getInteractivity()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Interactivity
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ChartImpl.`basicSetInteractivity(Interactivity newInteractivity, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ChartImpl.`setInteractivity(Interactivity newInteractivity)`